Skip to content

Create or Update a Custom Object Instance

Request

Create or update a custom object instance

Security
bearerAuth
Path
custom_object_type_identifierstringrequired

The unique identifier of the custom object type that defines the structure of the custom object instance.

Example:Order
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/json
external_idstring

A unique identifier for the Custom Object instance in the external system it originated from.

external_created_atinteger or null, (date-time)

The time when the Custom Object instance was created in the external system it originated from.

Example:1571672154
external_updated_atinteger or null, (date-time)

The time when the Custom Object instance was last updated in the external system it originated from.

Example:1571672154
custom_attributesobject or null

The custom attributes which are set for the Custom Object instance.

curl -i -X POST \
  https://api.intercom.io/custom_object_instances/Order \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "external_id": "123",
    "external_created_at": 1392036272,
    "external_updated_at": 1392036272,
    "custom_attributes": {
      "order_number": "ORDER-12345",
      "total_amount": 99.99
    }
  }'

Responses

successful

Bodyapplication/json
idstring

The Intercom defined id representing the custom object instance.

Example:16032025
external_idstring

The id you have defined for the custom object instance.

Example:"0001d1c1e65a7a19e9f59ae2"
external_created_atinteger or null, (date-time)

The time when the Custom Object instance was created in the external system it originated from.

Example:1571672154
external_updated_atinteger or null, (date-time)

The time when the Custom Object instance was last updated in the external system it originated from.

Example:1571672154
created_atinteger, (date-time)

The time the attribute was created as a UTC Unix timestamp

Example:1671028894
updated_atinteger, (date-time)

The time the attribute was last updated as a UTC Unix timestamp

Example:1671028894
typestring

The identifier of the custom object type that defines the structure of the custom object instance.

Example:"Order"
custom_attributesobject

The custom attributes you have set on the custom object instance.

Response
{ "id": "22", "type": "Order", "custom_attributes": { "order_number": "ORDER-12345", "total_amount": 99.99 }, "external_id": "123", "external_created_at": 1392036272, "external_updated_at": 1392036272, "created_at": 1734537745, "updated_at": 1734537745 }